mod hello;

use crate::{app_state::AppState, config::Config};
use axum::{routing::post, Extension, Router};
use sqlx::{Pool, Postgres};
use std::sync::Arc;
use tower_http::trace::TraceLayer;

pub fn new(pool: Pool<Postgres>, config: Config) -> Router {
    let app_state = Arc::new(AppState { pool, config });

    let app = Router::new()
        .route("/_fox/chat/hello", post(hello::post_hello))
        .layer(TraceLayer::new_for_http())
        .layer(Extension(app_state));

    return app;
}
